Loading...
Searching...
No Matches
debug.cpp File Reference

Global debugging flags. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

bool | gtsam::guardedIsDebug (const std::string &s)
void | gtsam::guardedSetDebug (const std::string &s, const bool v)
bool | gtsam::isDebugVersion ()

## Variables

GTSAM_EXPORT FastMap< std::string, ValueWithDefault< bool, false > > | gtsam::debugFlags

## Detailed Description

Global debugging flags.

Author
  Richard Roberts

Date
  Feb 1, 2011